#include "stdio.h"
#include "gsm.h"
       
gsm handle;
gsm_frame buf;
gsm_signal samplein[160];
gsm_signal sampleout[160];

main(void) {
	int i;
	FILE *fpin, *fpout;
	
        fpin = fopen("orginal.raw", "r");
        fpout = fopen("nich_orginal.raw", "w");
        if (fpin == NULL  ||  fpout == NULL) 	exit(1);

	handle = gsm_create();	
	do {
		i = fread(samplein, 1, sizeof(samplein), fpin);
		if (i != sizeof(samplein))	break;
        	gsm_encode(handle, samplein, buf);
        	gsm_decode(handle, buf, sampleout);
        	fwrite(sampleout, 1 , sizeof(sampleout), fpout);
        } while (42);
       	gsm_destroy(handle);
       	fclose(fpout);
       	fclose(fpin);
}

void
atexit(void) {
}

