#include <hlbtypes.h>

typedef struct {
		 CHAR *bufferStart;					/* Position des Bufferstarts (von malloc zugewiesen) */
volatile CHAR *bufferEnd;					/* Akuelles Ende des Buffers */
volatile CHAR *bufferBegin;					/* Akueller Anfang des Buffers */
		 LONG bufferLen;					/* Laenge des Buffers */
volatile LONG bufferFill;					/* Akuelle Anzahl der Bytes im Buffer */
		 LONG bufferLow;					/* minimale Anzahl an Bytes im Buffer die vohanden seien muss damit bufferLowFuntion aufgerufen wird */
		 VOID (*bufferLowFunction)(VOID *);	/* Funktion die aufgerufen werden soll wenn genuegend Bytes im Buffer sind */
volatile BOOLEAN bufferLastGetHitsMargin;	/* TRUE wenn das letzte Bufferget ueber das ende des Buffers (bufferStart+BufferLen) hinausgegagene waere und daher fuer die Bufferuebergabe Speicher vom OS gemalloct wurde */
volatile CHAR *bufferLastGetHitsMarginPtr;	/* gemallocter Speicher fuer Puffer der bei einem Get ueber das ende hinausgegagen waere */
} HLBBuffer;



extern HLBBuffer *HLBBufferMalloc (LONG, LONG, VOID (*));
extern VOID	HLBBufferFree(HLBBuffer *);
extern VOID HLBBufferPut(HLBBuffer *, CHAR*, LONG);
extern LONG	HLBBufferGet(HLBBuffer *, LONG, CHAR **);

/* EOF */
